import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
import ResultCard from '../ResultCard/ResultCard';
function Results(props) {
    const { resultCardSalePriceKey, resultCardRegularPriceKey, resultCardRatingCountKey, resultCardRatingScoreKey, renderResultCardPriceDetails, renderResultCard, } = props;
    const { state, getAddToCartButtonProps, getAddToFavoritesButtonProps } = useContext(QuizContext);
    const getters = { getAddToCartButtonProps, getAddToFavoritesButtonProps };
    return (React.createElement("div", { className: 'cio-results' }, state?.quiz?.results?.response?.results?.map((result, index) => renderResultCard ? (renderResultCard(result, getters)) : (React.createElement(ResultCard, { result: result, key: result.data?.id, salePriceKey: resultCardSalePriceKey, regularPriceKey: resultCardRegularPriceKey, ratingCountKey: resultCardRatingCountKey, ratingScoreKey: resultCardRatingScoreKey, renderResultCardPriceDetails: renderResultCardPriceDetails, resultPosition: index + 1 })))));
}
export default Results;
